>From 6be037f73050404e0ae15b55049211a729555dea Mon Sep 17 00:00:00 2001
From: Jochen Keil <jochen.keil@emlix.com>
Date: Fri, 29 Jan 2010 14:22:36 +0100
Subject: [PATCH 6/9] add a pattern to recognize values in {} brackets in optional arguments

---
 tcl-dox.l |   29 ++++++++++++++++++-----------
 1 files changed, 18 insertions(+), 11 deletions(-)

diff --git a/tcl-dox.l b/tcl-dox.l
index 21afca5..e99959e 100644
--- a/tcl-dox.l
+++ b/tcl-dox.l
@@ -280,17 +280,24 @@ WS    [ \t]
 
 
 <OPTIONAL_ARG>{
-   \} {
-      g_oarg = 0;
-      BEGIN(PROC_ARGS);
-   }
-   [^\n\} \t]+ {
-      g_oarg++;
-      if((g_oarg % 2) == 0){
-         fprintf(yyout, "%s", "=");
-      }
-      ECHO;
-   }
+	\} {
+		g_oarg = 0;
+		BEGIN(PROC_ARGS);
+	}
+	[^\n\} \t]+ {
+		g_oarg++;
+		if((g_oarg % 2) == 0){
+			fprintf(yyout, "%s", "=");
+		}
+		ECHO;
+	}
+	\{[^\n\} \t]*\} {
+		g_oarg++;
+		if((g_oarg % 2) == 0){
+			fprintf(yyout, "%s", "=");
+		}
+		ECHO;
+	}
 }
 
 <PROC_ARGS>{
-- 
1.6.6.1

